<?php

namespace Ulmus\Adapter;

use Ulmus\Migration\FieldDefinition;

class MsSQLFieldMapper extends SqlFieldMapper
{
    public function map() : void
    {
        parent::map();

        if (in_array($this->type, [ 'CHAR', 'VARCHAR', 'TEXT', ])) {
            $this->type = "N" . $this->type;
        };
    }

    /* @TODO !
    public function postProcess() : void
    {
        if (
            in_array($this->type, [ 'BLOB', 'TINYBLOB', 'MEDIUMBLOB', 'LONGBLOB', 'JSON', 'TEXT', 'TINYTEXT', 'MEDIUMTEXT', 'LONGTEXT', 'GEOMETRY' ]) &&
            ! is_object($this->field->default ?? false) # Could be a functional default, which would now be valid
        ) {
            unset($this->field->default);
        }
    }
     * */
}